# Schönherz BodyKör webpage backend

## Recommended Extensions

VSCode:

- ESLint
- Prettier
- sort-imports

## How to setup your dev server

1. Clone the repository

2. Install dependencies

> ` npm install`

3. Run dev server

> `npm run start-dev`

or with `ts-node-dev` (recommended)

> `npm run dev`

To start with mongoDB

> ` docker-compose -f docker-compose.dev.yml up`

To start mongoDB in a docker:

> `docker run -d --name bodysch-mongo -p 127.0.0.1:27017:27017 -d mongo`

## Build

Run typescript compiler

> `npm run build`

Start server

> `npm start`
