import { NextFunction, Request, Response } from "express";

import News from "../../models/NewsSchema";

const deleteNews = () => {
  return (req: Request, res: Response, next: NextFunction) => {
    News.findByIdAndDelete(req.params.id, (error, result) => {
      if (!error) {
        res.status(204);
        res.json({});
      } else {
        console.warn(error);
      }
    });
  };
};

export default deleteNews;
