import { NextFunction, Request, Response } from "express";

import Profile from "../../models/ProfileSchema";

const getOwnUser = () => (req: Request, res: Response, next: NextFunction) => {
  console.log(req.session!.user);
  Profile.findOne({ external_id: req.session!.user!.id }, (error, profile) => {
    if (error) {
      console.warn(error);
      res.status(400);
    } else {
      res.status(200);
      res.data = { profile };
    }
    next();
  });
};

export default getOwnUser;
